Subject: Re: [Isis-wg] Accept as WG doc?

From: Ayan Banerjee <[email-masked]>
Date: Mon, 02 Mar 2009 14:16:00 -0800

Greg, 

Thanks much for your comments. Please see responses inline.

Ayan

On 2/25/09 10:09 AM, "[email-masked]"
<[email-masked]> wrote:

> Hi folks,
> 
> This draft seems to answer correctly the requirement for using IS-IS as a
> layer-2 routing protocol.
> 
> I have though one clarification question to the authors regarding the MAC-RI
> TLV (in 2.1) which is as a sub-TLV but also defined as directly carried in a
> L1 LSP. I think it is a "regular" TLV, right?

[AB] Thanks much for catching the error, will fix it in the next revision of
the draft.

> Furthermore, I was asking mysef why did you define some "root" TLVs. IINM,
> lots of TLVs defined in this draft are extending IS-IS to support multicast
> routing as it was made in OSPF with MOSPF and its type-6 LSA. And if I am
> still right, there is no definition in MOSPF of such "root" information to
> flood. Therefore I was wondering why did you choose to define such TLVs.
> 

[AB] In TRILL, a node may decide not to send packets on some of the "trees".
This could be based on some local policy. In this case, other nodes can save
on the number of RPF entries that need to be programmed. The behavior of the
absence/presence of TLV will be defined in the TRILL document.

> Finally, I have one question related to Hannes concerns. As an ISP, I really
> do care about convergence times. You state in §3 that the reason for defining
> the Multicast Group PDU was because we shall expect a much higher frequency of
> join/leave changes than of topology changes. I totally agree on that and I do
> understand this definition as a way to isolate topological LSP convergence
> from a multicast LSP convergence. But as you did not define any new mechanisms
> to treat this new LSP type I assume that both topological and multicast LSP
> types will use the same timers regarding SPF calculation (wait and
> hold-timers) and transmission intervals. So at the end I do not see how you
> will be able to make the topological convergence isolated from the multicast
> one.

[AB] The topological LSP convergence takes place using a their own SPF wait
and hold timers (the traditional ones). The multicast LSP convergence by
being in a separate database of its own has its own set of (wait and hold)
timers that works asynchronously with respect to the topological SPF wait
and hold timers. We will make that explicit in the next version of the
draft. 
> 
> Thanks,
> 
> --
> Greg
> 
> 
>> -----Message d'origine-----
>> De : [email-masked]
>> [mailto:[email-masked]] De la part de David Ward
>> Envoyé : mardi 3 février 2009 22:54
>> À : [email-masked]
>> Cc : Christian Hopps
>> Objet : [Isis-wg] Accept as WG doc?
>> 
>> All -
>> 
>> Please let us know if you believe this document should be
>> accepted as a WG document:
>> 
>> http://tools.ietf.org/html/draft-ward-l2isis-04
>> 
>> Thanks
>> 
>> Chris, Dave
>> _______________________________________________
>> Isis-wg mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/isis-wg
>> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg